Kapittel 2. Fyr opp GIMP
| Del I. Å komme i gang med GIMP |

## Kapittel 2. Fyr opp GIMP

## 1. Starthjelp

Avhengig av operativsystemet du har, vil du som oftast opne GIMP ved å trykke på eit ikon på skrivebordet eller ved å skrive gimp på ei kommandolinje. Har du fleire utgåver av GIMP installert i maskinen din, må du kanskje skrive gimp-2.8 for å få opp den siste versjonen. Du kan, dersom det er ønskjeleg, skrive ei liste over biletfiler på kommandolinja etter programnamnet. Desse bileta vil så bli opna automatisk av GIMP ved oppstart. Sjølvsagt kan du også opne filer frå GIMP medan programmet arbeider.

Dei fleste operativsystema har ein eller annan måte for å tilordna filklassar, kjenneteikna ved filnamnutvidingane som t.d. «.jpg», til bestemte program, som t.d. GIMP. Du kan altså stille inn programmet slik at når du dobbeltklikkar på ei biletfil i filutforskaren, vil dette biletet bli opna i GIMP.

### 1.1. Kjende plattformer

GIMP kan brukast på fleire plattformer, operativsystem, enn noe anna biletbehandlingsprogram. Til nå er GIMP prøvd ut på desse plattformene:

GNU/Linux™, Apple Mac OS X™, Microsoft Windows™, OpenBSD™, NetBSD™, FreeBSD™, Solaris™, SunOS™, AIX™, HP-UX™, Tru64™, Digital UNIX™, OSF/1™, IRIX™, OS/2™ og BeOS™.

Sidan GIMP har opne kjeldekoder, er det enkelt å tilpassa programmet til andre operativsystem. Du kan finne meir om dette på denne Internettadressa: [GIMP-DEV].

### 1.2. Språk

GIMP vil bruke det språket maskinen er sett opp med. Dersom GIMP av ein eller annan grunn ikkje finn språket, eller dersom du ønskjer å bruke eit anna språk, kan du frå GIMP-2.8 gjere dette frå menyvalet Rediger → Brukarinnstillingar → Grensesnitt.

Du kan også

Under Linux

  I LINUX: i «console mode», skriv du `LANGUAGE=xx GIMP` eller `LANG=xx GIMP` der du bytter ut «xx» med koden for det språket du ønskjer. Bakgrunn: `LANGUAGE=xx` set ein omgivnadsvariabel («environment variable») for programmet `gimp`.

Under Windows XP og Windows 7

  Trykk på Start-knappen og vel «Kontrollpanel». Derifrå går du til /Innstillinger for region og språk/Regionale innstillinger/. Vel språk frå nedtrekkslista. Dersom du har stilt inn oppgåvelinja til å vise språk, kan du også endre dette frå oppgåvelinja.

  Dersom du ofte skifter språk, kan du lage ei «batchfil» for dette. Opna Notisblokk el. l. program og skriv inn følgjande (for fransk):

  `set lang=fr
  start gimp-2.8.exe`

  Lagra fila i `[...]/gimp-2.8/bin` som `GIMP-FR.BAT` (eller eit anna høveleg namn, men alltid med filutvidinga `.BAT`). Lag ein snarveg til fila på skrivebordet. Som i dei fleste andre program, bruker også GIMP språkkoden «nb» for bokmål og «nn» for nynorsk. («no» er ikkje språkkode, men koden for landet Noreg).

  Ein annan måte dersom dette programmet er installert: Vel Start → Alle programmer → GTK Runtime Environment og deretter Select language og vel språk frå nedtrekkslista.

Under Apple Mac OS X

  Gå til System Preferences, klikk på ikonet «International» og set det ønskte språket øvst på lista.

Start ei ny økt av GIMP

  Du kan køyre to versjonar av GIMP samstundes ved å tilføye -n i kommandolinja. For eksempel kan du bruke gimp-2.8 for å starte GIMP på språket systemet er sett opp til og LANGUAGE=en gimp-2.8 -n for samstundes å køyre GIMP på engelsk. Dette kan vere greitt når du t.d. bruker ei engelskspråkleg oppskrift eller innføring.

### 1.3. Argument i kommandolinja

Det er ikkje nødvendig å bruke argument når du opnar GIMP, men i tilfelle du av ein eller annan grunn skulle ha bruk for det, er noen av dei vanlegaste argumenta viste nedanfor. I Unix-system kan du bruke `man gimp` for å liste ut alle argumenta.

Argumenta i kommandolinja må skrivast inn som gimp-2.8 [OPTION...] [FILE|URI...] i kommandolinja som blir brukt for å opne GIMP.

-?, --help

  Vis ei liste over alle kommandoane

--help-all

  Vis alle hjelpevala

--help-gtk

  Vis alternativ for GTK+

-v, --version

  Skriv kva for versjon av GIMP som er i bruk, og slutt av programmet.

--license

  Vis lisensinformasjon og slutt av

--verbose

  Vis detaljerte oppstartmeldingar.

-n, --new-instance

  Start ei ny økt av GIMP.

-a, --as-new

  Opna bilete som nytt

-i, --no-interface

  Køyr utan brukargrensesnitt.

-d, --no-data

  Ikkje last inn mønsterelement, fargeovergangar, palettar eller penslar. Kan vere nyttig i ikkje-interaktive situasjonar der oppstarttida skal vere kortast råd.

-f, --no-fonts

  Ikkje last inn skrifttypar. Dette kan korte ned oppstarttida for GIMP når skripta ikkje bruker skrifttypar. Kan også vere nyttig for å finne skrifttypar med feil som gjer at GIMP stoppar opp.

-s, --no-splash

  Ikkje vis oppstartskjermen.

--no-shm

  Ikkje bruk delt minne mellom GIMP og programtillegga.

--no-cpu-accel

  Ikkje bruk funksjonar for å auke farten på CPU. Kan vere nyttig for å finne eventuelle feil i slik programvare eller utstyr.

--session=`namn`

  Bruk eit anna `sessionrc` for denne GIMP-økta. Det gjevne «session name» blir lagt til det normale «sessionrc filename».

--gimprc=`filenamn`

  Bruk ei alternativ «gimprc»-fil i staden for den vanlege. «gimprc»-fila inneheld data om innstillingane dine. Kan vere nyttige når banane til programtillegga eller maskinoppsettet er endra.

--system-gimprc=`filenamn`

  Bruk ei alternativ system-gimprc-fil.

-b, --batch=`kommandoar`

  Utfør kommandosettet «non-interactively». Kommandosettet er typisk eit skript som blir utført av ei av GIMP sine skriptutvidingar. Dersom du bruker kommandoen `-`, vil kommandoane bli lesne frå standarinngangen.

--batch-interpreter=`proc`

  Prosedyren som blir brukt for å køyre mengdetolkarane (batch kommandoane). Denne er normalt sett til Script-Fu.

--console-messages

  Ikkje bruk sprettoppvindauge ved varsling av feil. Skriv meldingane til konsollen i staden.

--pdb-compat-mode=`modus`

  PDB kompatibilitetsmodus (off|on|warn)

--stack-trace-mode=`mode`

  Feilfinning i tilfelle krasj (never|query|always)

--debug-handlers

  Aktiver signalhandterarar for ikkje-fatale feil. Blir brukt for å finne feil i GIMP.

--g-fatal-warnings

  Gjer alle åtvaringane fatale. Blir brukt for å finne feil i GIMP.

--dump-gimprc

  Vis ei gimprc-fil med normalinnstillingane. Kan kome til nytte dersom du rotar til gimprc-fila.

--display=`display`

  Bruk X visning (gjeld ikkje på Microsoft Windows).

2. Kva er nytt i Gimp 2.8? |  | 2. Å starte GIMP for første gong

Report an error in Bugzilla